%define	desktop_vendor	planetccrma

Summary: Configurable mixer for ALSA
Name: qamix
Version: 0.0.7e
Release: 3%{?dist}
URL: http://alsamodular.sourceforge.net/
Source0: qamix-%{version}.tar.bz2
Source1: qamix.desktop
License: GPL
Group: Applications/Multimedia
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: desktop-file-utils alsa-lib-devel glibc-devel
%if 0%{?fedora} > 8
BuildRequires: qt3-devel
%else
BuildRequires: qt-devel
%endif

%description
QAMix is a configurable mixer for ALSA. The interface is created while
the application parses an XML file. The GUI description depends on the
soundcard. Therefore QAMix derives the filename from the ALSA driver
name.  It first searches for the GUI description in the directory
.qamix in your home directory. If no card specific file exists, QAMix
looks for "default.xml" in the same directory. If this does not exist
either, the directory /usr/share/qamix (specified as QAMIX_SHARE_DIR
in mixer.h) is searched. You can provide a filename for the GUI
description with the -g parameter. The soundcard device you would like
to control is provided with the -c parameter. The default device is
hw:0.

%prep
%setup -q

%build
%{__perl} -p -i -e "s,/usr/lib/qt3,${QTDIR},g" make_qamix
%{__perl} -p -i -e "s,-lqt-mt,-lstdc++ -lqt-mt -lqassistantclient,g" make_qamix
%{__make} -f make_qamix

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__mkdir} -p %{buildroot}%{_datadir}/qamix
%{__install} -m 0755 qamix %{buildroot}%{_bindir}
%{__install} -m 0644 *.xml %{buildroot}%{_datadir}/qamix

# desktop file categories
BASE="Application AudioVideo Audio"
XTRA="X-Mixers"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README THANKS qamix_demo.ams
%{_bindir}/qamix
%{_datadir}/qamix
%{_datadir}/applications/*qamix.desktop

%changelog
* Wed May 19 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- add -lstdc++ for fc13/gcc4.4.4

* Tue May 13 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed build requirement to qt3 in f9

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7e-3
- use separate desktop file, build for fc6

* Sat May  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7e-3
- added Planet CCRMA categories in desktop file, fixed url

* Tue Mar  5 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7e-2
- rebuild to fix location of desktop file

* Tue Jun  1 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.7e-1
- updated to 0.0.7e

* Thu May  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires, qt3.3 hack for fc2

* Fri Nov  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.6-2
- added icon

* Sun Aug 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.6-1
- updated to 0.0.6, added release tags

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-1
- updated to 0.0.4

* Thu Jul  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4_pre03-1
- initial build
